<?php

if (!defined('ADMIN')) die;

require_once('../data/pages.php');
require_once('../data/config.php');

$action='list';
if (isset($_GET['edit'])) $action='edit';
if (isset($_GET['editpost'])) $action='editpost';
if (isset($_GET['delete'])) $action='delete';
if (isset($_GET['add'])) $action='add';
if (isset($_GET['addpost'])) $action='addpost';

function getUniqueId2()
{
    global $pages;
    $id=0;
    foreach ($pages as $value)
    {
        $id=$value['id'];
    }
    $id++;
    return $id;
}

function fixText($text)
{
    $text = str_replace('\"', '"', $text);
    $text = str_replace("\'", "'", $text);
    return $text;
}

function savePages()
{
    global $pages;
    $file = '../data/pages.php';
    $data = '<?php $pages = ';
    $data .= var_export($pages, true);
    $data .= '?>';
    file_put_contents($file, $data);
}

switch ($action)
{
//   
case 'list':
    {
    print '<br><br><a href="index.php?pages&add"> </a>';
    print '<table cellspacing=0 cellpadding=3 border=1>';
    print '<tr><th>ID<th>URL<th><th></tr>';
    foreach ($pages as $value)
    {
        print '<tr><td>'.$value['id'].'<td>/index.php?page='.$value['id'].'<td>'.$value['title'].'<td>';
        print '<a href="../index.php?page='.$value['id'].'"></a> | ';
        print '<a href="index.php?pages&edit&id='.$value['id'].'"></a> | <a href="index.php?pages&delete&id='.$value['id'].'"
                onclick="return confirm(\' ?\')"></a></tr>';

    }
    print '</table>';
    break;
    }
//    
case 'add':
    {
    print '<form action="index.php?pages&addpost" method="post"><table cellspacing=0 cellpadding=3 border=1>';
    $u_id = getUniqueId2();
    print '<tr><td>ID: <td>'.$u_id.'<input type="hidden" name="id" value="'.$u_id.'"></tr>';
    print '<tr><td>URL: <td>/index.php?page='.$u_id.'</tr>';
    print '<tr><td>: <td><input type="text" size="80" name="title" value=""></tr>';
    print '<tr><td>&nbsp;<td><input type="submit" value=""></tr>';
    print '</table></form>';
    break;
    }
//  
case 'addpost':
    {
    //print_r($_POST);
    $newpage = array (
        'id' => $_POST['id'],
        'title' => $_POST['title']
    );
    /*
    for ($i=1;$i<$places+1;$i++)
    {
        $newpage['place'.$i] = array();
    }
    */
    $pages[] = $newpage;
    savePages();
    if (isset($_GET['tolinks'])) {print "<script>location.href='../jscripts/links.php?'+Math.random();</script>";die;}
    print "<script>location.href='index.php?pages&r='+Math.random();</script>";
    break;
    }
//  
case 'delete':
    {
    foreach ($pages as $id => $value)
    {
        if ($value['id'] == $_GET['id'])
        {
            unset($pages[$id]);
            break;
        }
    }
    savePages();
    print "<script>location.href='index.php?pages&r='+Math.random();</script>";
    break;
    }
//    
case 'edit':
    {
    print '<form action="index.php?pages&editpost" method="post"><table cellspacing=0 cellpadding=3 border=1>';
    foreach ($pages as $value)
    {
        if ($value['id'] == $_GET['id']) break;
    }
    print '<tr><td>ID: <td>'.$value['id'].'<input type="hidden" name="id" value="'.$value['id'].'"></tr>';
    print '<tr><td>URL: <td>/index.php?page='.$value['id'].'</tr>';
    print '<tr><td>: <td><input type="text" size="80" name="title" value="'.$value['title'].'"></tr>';
    print '<tr><td> : <td><input type="text" size="80" name="meta" value="'.@$value['meta'].'"></tr>';
    print '<tr valign="top"><td> :<br>(.)<br><br>(  <br> )<td><textarea id="editor" name="text" rows=30 cols=80>';
    if (file_exists('../blocks/prepage'.$value['id'].'.php'))
    {
        print file_get_contents('../blocks/prepage'.$value['id'].'.php');
    }
    print '</textarea></tr>';
    print '<tr><td>&nbsp;<td><input type="submit" value=""></tr>';
    print '</table></form>';
    break;
    }
//  
case 'editpost':
    {
    //print_r($_POST);
    foreach ($pages as $id => $value)
    {
        if ($value['id'] == $_POST['id'])
        {
            $pages[$id]['title'] = $_POST['title'];
            $pages[$id]['meta'] = $_POST['meta'];
            if (!empty($_POST['text']))
            {
                file_put_contents('../blocks/prepage'.$_POST['id'].'.php', fixText($_POST['text']));
            } else {
                @unlink('../blocks/prepage'.$_POST['id'].'.php');
            }
            break;
        }
    }
    savePages();
    print "<script>location.href='index.php?pages&r='+Math.random();</script>";
    break;
    }
}

?>