<?
function m_tmb($imageFile, $thumbW, $thumbH, $dest)
{
	$filename=basename($imageFile);		
    $ext = strtoupper(strstr($filename,'.'));
    
	$imageInfo=GetImageSize($imageFile);
    
		switch ($imageInfo[2]) {
			case 1: {
				$src=imagecreatefromgif($imageFile); 		
			} break;
			case 2: {
				$src=imagecreatefromjpeg($imageFile); 		
			} break;		
			case 3: {
				$src=imagecreatefrompng($imageFile); 		
			} break;				
			default: {
				return false;
			}
		}

		$srcW=imagesx($src);
		$srcH=imagesy($src);

		$scale = min($thumbW/$srcW, $thumbH/$srcH);	
		if ($scale==0) $scale = max($thumbW/$srcW, $thumbH/$srcH);

		$dstW=round($srcW*$scale);
		$dstH=round($srcH*$scale);

        $thumbH=$dstH;
        $thumbW=$dstW;

        //print($dstW.' '.$dstH);
		
		$dst=imagecreatetruecolor($thumbW,$thumbH);

		$background=imagecolorallocate ($dst, $bg, $bg, $bg); 
		
		imagefill($dst,0,0,$background);

		ImageCopyResampled($dst,$src,round(($thumbW-$dstW)/2),round(($thumbH-$dstH)/2),0,0,$dstW,$dstH,$srcW,$srcH);

		imagedestroy($src);

        imagejpeg($dst, $dest, 80);
        imagedestroy($dst);
}

?>